Source: rwa.support.sessionservice
Section: x11
Priority: optional
Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               quilt,
Standards-Version: 4.5.0
Homepage: https://gitlab.das-netzwerkteam.de/RemoteWebApp/rwa.support.sessionservice
Vcs-Git: https://gitlab.das-netzwerkteam.de/RemoteWebApp/rwa.support.sessionservice.git
Vcs-Browser: https://gitlab.das-netzwerkteam.de/RemoteWebApp/rwa.support.sessionservice/

Package: rwa.support.sessionservice
Architecture: any
Depends: ${misc:Depends},
         python3,
         python3-box,
         python3-flask,
         python3-requests,
         python3-port-for,
         python3-websockify,
         python3-dbus,
         python3-gi,
         python3-psutil,
         python3-dynaconf (>= 3.0),
         x11vnc,
         wget,
Description: DBus service connecting the RWA.Support.DesktopApp with the RWA.Support.WebApp
 RemoteWebApp.Support is a web-based desktop support tool that shares desktop
 sessions to people providing IT support.
 .
 This DBus service controls the sharing of the local desktop to the
 RWA.Support web app site. It provides a bi-directional communication
 channel between the RWA.Support.WebApp support site and the locally
 running RWA.Support.DesktopApp.
